#! &PERL&

#
# Copyright (C) 1997-1998 The HummingBird Project - hummer@cs.uidaho.edu
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

# demo script, has been tested with:
#  - Postgres-6.1
#  - apache_1.2
#  - mod_perl-1.0
#  - perl5.004

use CGI;
use Pg;
use strict;
use Sys::Hostname;

my $query = new CGI;
my $host = hostname();




#connect to database
my $conn = Pg::connectdb("dbname = hummer_$host");

#get current manager value
my $result = $conn->exec("select * from manager;");


#check for empty manager value and display error
if ($result->getvalue(0,0) eq "")
{
  print  $query->header,
    "<html><head><TITLE>Configure Manager</TITLE></head>\n
     <BODY TEXT=black BGCOLOR=white LINK=blue VLINK=purple>\n
     <CENTER>\n<H2>\n";
  print "\nYou do not currently have a manager...\n";
  print "<BR><BR>Use <U>Change My Manager</U> to add a manager.";

  #give user a link to Main Configuration Page
  print "</H2>\n
       <BR><A HREF=\"mansub.shtml\">Return to Manager/Subordinate Main Configuration Page</A>\n
       </CENTER>\n";
  print $query->end_html;
}

#if current manager exists, delete from database
else
{
    $result->getvalue(0, $result->fnumber("manager"));
    print  $query->header;
    print "<META http-equiv=\"refresh\" content=\"0;url=http://";
    print $result->getvalue(0, $result->fnumber("manager"));
    print ":15000\">";
    print $query->end_html;
}
        




