#! &PERL&

#
# Copyright (C) 1997-1998 The HummingBird Project - hummer@cs.uidaho.edu
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

use CGI qw(:standard);
use Pg;
use strict;

use Sys::Hostname;
my $host = hostname();

my $conn = Pg::connectdb("dbname = hummer_$host");
( PGRES_CONNECTION_OK eq $conn->status ) || exit;
my $result = $conn->exec("select * from config_time;");
(PGRES_TUPLES_OK eq $result->resultStatus) || exit;
my $ctime = $result->getvalue(0,0);

print header;
print start_html(-title=>'Peer Moderation Interface',
		 -TEXT=>'black', 
		 -BGCOLOR=>'white',
		 -LINK=>'blue',
		 -VLINK=>'purple'),
  
  "<CENTER><IMG SRC=\"hummer2.JPG\" BORDER=0 HEIGHT=154 WIDTH=377>",
  
  h1('Peer Moderation Interface'),
  "<H3><A HREF=\"peer_peruse_help.html\">Help</A></H3>",
  "<H4><A HREF=\"peer2peer.shtml\">Return to Peer Moderation Page</A></H4>",
  "<HR WIDTH=\"87%\">";

if (param()) {
  my $freq = param('freq');
  my $result = $conn->exec("delete from config_time;");
  (PGRES_COMMAND_OK eq $result->resultStatus) || exit;
  $result = $conn->exec("insert into config_time values ($freq);");
  (PGRES_COMMAND_OK eq $result->resultStatus) || exit;
  print "<br><b><font size=+3>Communication Frequency is now $freq Minutes</font></b>";
}  
else {
  print "<BR><B><FONT SIZE=+3>Configure Peer Communication</FONT></B>
<P>Communication Frequency is:";

print start_form,
  textfield(-name=>'freq',
	    -size=>5,
	    -value=>$ctime),
  "Minutes",p,
  submit(-name=>'Configure'),
  reset(),
  end_form,p;
}

print "<HR WIDTH=\"51%\">
<BR></center>";

